- Qt 6.8
- Qt GUI
- C++ Classes
- QShortcut
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QShortcut

The following members of class QShortcut are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` int | id() const

## Member Function Documentation

### `[deprecated]` int QShortcut::id() const

This function is deprecated. We strongly advise against using it in new code.

Returns the primary key binding's ID.

See also QShortcutEvent::shortcutId().